# Advanced architectural aspects

These are the aspects of NuNet which are part of the technology vision within broader SNET ecosystem. They are in a different phase of technology research, requiring much more fundamental research / alignment with protocols and platforms/solutions developed across the SNET ecosystem. 

## AI-DSL

## Reputation ecosystem

## SNET ecosystem interoperability layer

